glibmm: glibmm Enums and Flags

glibmm 2.78.0

Enumerations | Functions
glibmm Enums and Flags

## Enumerations
enum class | Glib::NodeTree< T >::TraverseFlags { Glib::NodeTree< T >::TraverseFlags::LEAVES = G_TRAVERSE_LEAVES , Glib::NodeTree< T >::TraverseFlags::NON_LEAVES = G_TRAVERSE_NON_LEAVES , Glib::NodeTree< T >::TraverseFlags::ALL = G_TRAVERSE_ALL , Glib::NodeTree< T >::TraverseFlags::MASK = G_TRAVERSE_MASK }
| Specifies which nodes are visited during several of the NodeTree methods, including traverse() and find(). More...
enum class | Glib::AsciiType { Glib::AsciiType::ALNUM = 1 << 0 , Glib::AsciiType::ALPHA = 1 << 1 , Glib::AsciiType::CNTRL = 1 << 2 , Glib::AsciiType::DIGIT = 1 << 3 , Glib::AsciiType::GRAPH = 1 << 4 , Glib::AsciiType::LOWER = 1 << 5 , Glib::AsciiType::PRINT = 1 << 6 , Glib::AsciiType::PUNCT = 1 << 7 , Glib::AsciiType::SPACE = 1 << 8 , Glib::AsciiType::UPPER = 1 << 9 , Glib::AsciiType::XDIGIT = 1 << 10 }
enum class | Gio::Application::OptionType { Gio::Application::OptionType::BOOL , Gio::Application::OptionType::STRING , Gio::Application::OptionType::INT , Gio::Application::OptionType::FILENAME = INT+2 , Gio::Application::OptionType::STRING_VECTOR , Gio::Application::OptionType::FILENAME_VECTOR , Gio::Application::OptionType::DOUBLE , Gio::Application::OptionType::INT64 }
| The OptionType enum values determine the expected type of a command line option. More...

## Functions
MainContextFlags | Glib::operator| (MainContextFlags lhs, MainContextFlags rhs)
MainContextFlags | Glib::operator& (MainContextFlags lhs, MainContextFlags rhs)
MainContextFlags | Glib::operator^ (MainContextFlags lhs, MainContextFlags rhs)
MainContextFlags | Glib::operator~ (MainContextFlags flags)
MainContextFlags & | Glib::operator|= (MainContextFlags &lhs, MainContextFlags rhs)
MainContextFlags & | Glib::operator&= (MainContextFlags &lhs, MainContextFlags rhs)
MainContextFlags & | Glib::operator^= (MainContextFlags &lhs, MainContextFlags rhs)
ParamFlags | Glib::operator| (ParamFlags lhs, ParamFlags rhs)
ParamFlags | Glib::operator& (ParamFlags lhs, ParamFlags rhs)
ParamFlags | Glib::operator^ (ParamFlags lhs, ParamFlags rhs)
ParamFlags | Glib::operator~ (ParamFlags flags)
ParamFlags & | Glib::operator|= (ParamFlags &lhs, ParamFlags rhs)
ParamFlags & | Glib::operator&= (ParamFlags &lhs, ParamFlags rhs)
ParamFlags & | Glib::operator^= (ParamFlags &lhs, ParamFlags rhs)
FileTest | Glib::operator| (FileTest lhs, FileTest rhs)
FileTest | Glib::operator& (FileTest lhs, FileTest rhs)
FileTest | Glib::operator^ (FileTest lhs, FileTest rhs)
FileTest | Glib::operator~ (FileTest flags)
FileTest & | Glib::operator|= (FileTest &lhs, FileTest rhs)
FileTest & | Glib::operator&= (FileTest &lhs, FileTest rhs)
FileTest & | Glib::operator^= (FileTest &lhs, FileTest rhs)
IOFlags | Glib::operator| (IOFlags lhs, IOFlags rhs)
IOFlags | Glib::operator& (IOFlags lhs, IOFlags rhs)
IOFlags | Glib::operator^ (IOFlags lhs, IOFlags rhs)
IOFlags | Glib::operator~ (IOFlags flags)
IOFlags & | Glib::operator|= (IOFlags &lhs, IOFlags rhs)
IOFlags & | Glib::operator&= (IOFlags &lhs, IOFlags rhs)
IOFlags & | Glib::operator^= (IOFlags &lhs, IOFlags rhs)
IOCondition | Glib::operator| (IOCondition lhs, IOCondition rhs)
IOCondition | Glib::operator& (IOCondition lhs, IOCondition rhs)
IOCondition | Glib::operator^ (IOCondition lhs, IOCondition rhs)
IOCondition | Glib::operator~ (IOCondition flags)
IOCondition & | Glib::operator|= (IOCondition &lhs, IOCondition rhs)
IOCondition & | Glib::operator&= (IOCondition &lhs, IOCondition rhs)
IOCondition & | Glib::operator^= (IOCondition &lhs, IOCondition rhs)
KeyFile::Flags | Glib::operator| (KeyFile::Flags lhs, KeyFile::Flags rhs)
KeyFile::Flags | Glib::operator& (KeyFile::Flags lhs, KeyFile::Flags rhs)
KeyFile::Flags | Glib::operator^ (KeyFile::Flags lhs, KeyFile::Flags rhs)
KeyFile::Flags | Glib::operator~ (KeyFile::Flags flags)
KeyFile::Flags & | Glib::operator|= (KeyFile::Flags &lhs, KeyFile::Flags rhs)
KeyFile::Flags & | Glib::operator&= (KeyFile::Flags &lhs, KeyFile::Flags rhs)
KeyFile::Flags & | Glib::operator^= (KeyFile::Flags &lhs, KeyFile::Flags rhs)
ParseFlags | Glib::Markup::operator| (ParseFlags lhs, ParseFlags rhs)
ParseFlags | Glib::Markup::operator& (ParseFlags lhs, ParseFlags rhs)
ParseFlags | Glib::Markup::operator^ (ParseFlags lhs, ParseFlags rhs)
ParseFlags | Glib::Markup::operator~ (ParseFlags flags)
ParseFlags & | Glib::Markup::operator|= (ParseFlags &lhs, ParseFlags rhs)
ParseFlags & | Glib::Markup::operator&= (ParseFlags &lhs, ParseFlags rhs)
ParseFlags & | Glib::Markup::operator^= (ParseFlags &lhs, ParseFlags rhs)
FormatSizeFlags | Glib::operator| (FormatSizeFlags lhs, FormatSizeFlags rhs)
FormatSizeFlags | Glib::operator& (FormatSizeFlags lhs, FormatSizeFlags rhs)
FormatSizeFlags | Glib::operator^ (FormatSizeFlags lhs, FormatSizeFlags rhs)
FormatSizeFlags | Glib::operator~ (FormatSizeFlags flags)
FormatSizeFlags & | Glib::operator|= (FormatSizeFlags &lhs, FormatSizeFlags rhs)
FormatSizeFlags & | Glib::operator&= (FormatSizeFlags &lhs, FormatSizeFlags rhs)
FormatSizeFlags & | Glib::operator^= (FormatSizeFlags &lhs, FormatSizeFlags rhs)
Module::Flags | Glib::operator| (Module::Flags lhs, Module::Flags rhs)
Module::Flags | Glib::operator& (Module::Flags lhs, Module::Flags rhs)
Module::Flags | Glib::operator^ (Module::Flags lhs, Module::Flags rhs)
Module::Flags | Glib::operator~ (Module::Flags flags)
Module::Flags & | Glib::operator|= (Module::Flags &lhs, Module::Flags rhs)
Module::Flags & | Glib::operator&= (Module::Flags &lhs, Module::Flags rhs)
Module::Flags & | Glib::operator^= (Module::Flags &lhs, Module::Flags rhs)
OptionEntry::Flags | Glib::operator| (OptionEntry::Flags lhs, OptionEntry::Flags rhs)
OptionEntry::Flags | Glib::operator& (OptionEntry::Flags lhs, OptionEntry::Flags rhs)
OptionEntry::Flags | Glib::operator^ (OptionEntry::Flags lhs, OptionEntry::Flags rhs)
OptionEntry::Flags | Glib::operator~ (OptionEntry::Flags flags)
OptionEntry::Flags & | Glib::operator|= (OptionEntry::Flags &lhs, OptionEntry::Flags rhs)
OptionEntry::Flags & | Glib::operator&= (OptionEntry::Flags &lhs, OptionEntry::Flags rhs)
OptionEntry::Flags & | Glib::operator^= (OptionEntry::Flags &lhs, OptionEntry::Flags rhs)
Regex::CompileFlags | Glib::operator| (Regex::CompileFlags lhs, Regex::CompileFlags rhs)
Regex::CompileFlags | Glib::operator& (Regex::CompileFlags lhs, Regex::CompileFlags rhs)
Regex::CompileFlags | Glib::operator^ (Regex::CompileFlags lhs, Regex::CompileFlags rhs)
Regex::CompileFlags | Glib::operator~ (Regex::CompileFlags flags)
Regex::CompileFlags & | Glib::operator|= (Regex::CompileFlags &lhs, Regex::CompileFlags rhs)
Regex::CompileFlags & | Glib::operator&= (Regex::CompileFlags &lhs, Regex::CompileFlags rhs)
Regex::CompileFlags & | Glib::operator^= (Regex::CompileFlags &lhs, Regex::CompileFlags rhs)
Regex::MatchFlags | Glib::operator| (Regex::MatchFlags lhs, Regex::MatchFlags rhs)
Regex::MatchFlags | Glib::operator& (Regex::MatchFlags lhs, Regex::MatchFlags rhs)
Regex::MatchFlags | Glib::operator^ (Regex::MatchFlags lhs, Regex::MatchFlags rhs)
Regex::MatchFlags | Glib::operator~ (Regex::MatchFlags flags)
Regex::MatchFlags & | Glib::operator|= (Regex::MatchFlags &lhs, Regex::MatchFlags rhs)
Regex::MatchFlags & | Glib::operator&= (Regex::MatchFlags &lhs, Regex::MatchFlags rhs)
Regex::MatchFlags & | Glib::operator^= (Regex::MatchFlags &lhs, Regex::MatchFlags rhs)
SpawnFlags | Glib::operator| (SpawnFlags lhs, SpawnFlags rhs)
SpawnFlags | Glib::operator& (SpawnFlags lhs, SpawnFlags rhs)
SpawnFlags | Glib::operator^ (SpawnFlags lhs, SpawnFlags rhs)
SpawnFlags | Glib::operator~ (SpawnFlags flags)
SpawnFlags & | Glib::operator|= (SpawnFlags &lhs, SpawnFlags rhs)
SpawnFlags & | Glib::operator&= (SpawnFlags &lhs, SpawnFlags rhs)
SpawnFlags & | Glib::operator^= (SpawnFlags &lhs, SpawnFlags rhs)
AsciiType | Glib::operator| (AsciiType lhs, AsciiType rhs)
AsciiType | Glib::operator& (AsciiType lhs, AsciiType rhs)
AsciiType | Glib::operator^ (AsciiType lhs, AsciiType rhs)
AsciiType | Glib::operator~ (AsciiType flags)
AsciiType & | Glib::operator|= (AsciiType &lhs, AsciiType rhs)
AsciiType & | Glib::operator&= (AsciiType &lhs, AsciiType rhs)
AsciiType & | Glib::operator^= (AsciiType &lhs, AsciiType rhs)

## Detailed Description

## Enumeration Type Documentation

## ◆ AsciiType

enum class Glib::AsciiType
| strong

Bitwise operators:
  `AsciiType operator|(AsciiType, AsciiType)`
  `AsciiType operator&(AsciiType, AsciiType)`
  `AsciiType operator^(AsciiType, AsciiType)`
  `AsciiType operator~(AsciiType)`
  `AsciiType& operator|=(AsciiType&, AsciiType)`
  `AsciiType& operator&=(AsciiType&, AsciiType)`
  `AsciiType& operator^=(AsciiType&, AsciiType)`

Enumerator
ALNUM |
ALPHA |
CNTRL |
DIGIT |
GRAPH |
LOWER |
PRINT |
PUNCT |
SPACE |
UPPER |
XDIGIT |

## ◆ OptionType

enum class Gio::Application::OptionType
| strong

The OptionType enum values determine the expected type of a command line option.

If an option expects an extra argument, it can be specified in several ways; with a short option: "-x arg", with a long option: "--name arg" or combined in a single argument: "--name=arg". All option types except OptionType::BOOL expect an extra argument. OptionType::STRING_VECTOR and OptionType::FILENAME_VECTOR accept more than one extra argument.

The descriptions of the enum values show what type of Glib::Variant<> is stored in a Glib::VariantDict.

Since glibmm 2.42:

Enumerator
BOOL | bool
STRING | Glib::ustring.
INT | gint32
FILENAME | std::string
STRING_VECTOR | std::vector<Glib::ustring>
FILENAME_VECTOR | std::vector<std::string>
DOUBLE | double
INT64 | gint64

## ◆ TraverseFlags

template <typename T >

enum class Glib::NodeTree::TraverseFlags
| strong

Specifies which nodes are visited during several of the NodeTree methods, including traverse() and find().

Enumerator
LEAVES | Only leaf nodes should be visited.
NON_LEAVES | Only non-leaf nodes should be visited.
ALL | All nodes should be visited.
MASK | A mask of all traverse flags.

## Function Documentation

## ◆ operator&() [1/14]

AsciiType Glib::operator& | ( | AsciiType | lhs,
|  | AsciiType | rhs
| ) |  |
| inline

## ◆ operator&() [2/14]

FileTest Glib::operator& | ( | FileTest | lhs,
|  | FileTest | rhs
| ) |  |
| inline

## ◆ operator&() [3/14]

FormatSizeFlags Glib::operator& | ( | FormatSizeFlags | lhs,
|  | FormatSizeFlags | rhs
| ) |  |
| inline

## ◆ operator&() [4/14]

IOCondition Glib::operator& | ( | IOCondition | lhs,
|  | IOCondition | rhs
| ) |  |
| inline

## ◆ operator&() [5/14]

IOFlags Glib::operator& | ( | IOFlags | lhs,
|  | IOFlags | rhs
| ) |  |
| inline

## ◆ operator&() [6/14]

KeyFile::Flags Glib::operator& | ( | KeyFile::Flags | lhs,
|  | KeyFile::Flags | rhs
| ) |  |
| inline

## ◆ operator&() [7/14]

MainContextFlags Glib::operator& | ( | MainContextFlags | lhs,
|  | MainContextFlags | rhs
| ) |  |
| inline

## ◆ operator&() [8/14]

Module::Flags Glib::operator& | ( | Module::Flags | lhs,
|  | Module::Flags | rhs
| ) |  |
| inline

## ◆ operator&() [9/14]

OptionEntry::Flags Glib::operator& | ( | OptionEntry::Flags | lhs,
|  | OptionEntry::Flags | rhs
| ) |  |
| inline

## ◆ operator&() [10/14]

ParamFlags Glib::operator& | ( | ParamFlags | lhs,
|  | ParamFlags | rhs
| ) |  |
| inline

## ◆ operator&() [11/14]

ParseFlags Glib::Markup::operator& | ( | ParseFlags | lhs,
|  | ParseFlags | rhs
| ) |  |
| inline

## ◆ operator&() [12/14]

Regex::CompileFlags Glib::operator& | ( | Regex::CompileFlags | lhs,
|  | Regex::CompileFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator&() [13/14]

Regex::MatchFlags Glib::operator& | ( | Regex::MatchFlags | lhs,
|  | Regex::MatchFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator&() [14/14]

SpawnFlags Glib::operator& | ( | SpawnFlags | lhs,
|  | SpawnFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [1/14]

AsciiType & Glib::operator&= | ( | AsciiType & | lhs,
|  | AsciiType | rhs
| ) |  |
| inline

## ◆ operator&=() [2/14]

FileTest & Glib::operator&= | ( | FileTest & | lhs,
|  | FileTest | rhs
| ) |  |
| inline

## ◆ operator&=() [3/14]

FormatSizeFlags & Glib::operator&= | ( | FormatSizeFlags & | lhs,
|  | FormatSizeFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [4/14]

IOCondition & Glib::operator&= | ( | IOCondition & | lhs,
|  | IOCondition | rhs
| ) |  |
| inline

## ◆ operator&=() [5/14]

IOFlags & Glib::operator&= | ( | IOFlags & | lhs,
|  | IOFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [6/14]

KeyFile::Flags & Glib::operator&= | ( | KeyFile::Flags & | lhs,
|  | KeyFile::Flags | rhs
| ) |  |
| inline

## ◆ operator&=() [7/14]

MainContextFlags & Glib::operator&= | ( | MainContextFlags & | lhs,
|  | MainContextFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [8/14]

Module::Flags & Glib::operator&= | ( | Module::Flags & | lhs,
|  | Module::Flags | rhs
| ) |  |
| inline

## ◆ operator&=() [9/14]

OptionEntry::Flags & Glib::operator&= | ( | OptionEntry::Flags & | lhs,
|  | OptionEntry::Flags | rhs
| ) |  |
| inline

## ◆ operator&=() [10/14]

ParamFlags & Glib::operator&= | ( | ParamFlags & | lhs,
|  | ParamFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [11/14]

ParseFlags & Glib::Markup::operator&= | ( | ParseFlags & | lhs,
|  | ParseFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [12/14]

Regex::CompileFlags & Glib::operator&= | ( | Regex::CompileFlags & | lhs,
|  | Regex::CompileFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator&=() [13/14]

Regex::MatchFlags & Glib::operator&= | ( | Regex::MatchFlags & | lhs,
|  | Regex::MatchFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator&=() [14/14]

SpawnFlags & Glib::operator&= | ( | SpawnFlags & | lhs,
|  | SpawnFlags | rhs
| ) |  |
| inline

## ◆ operator^() [1/14]

AsciiType Glib::operator^ | ( | AsciiType | lhs,
|  | AsciiType | rhs
| ) |  |
| inline

## ◆ operator^() [2/14]

FileTest Glib::operator^ | ( | FileTest | lhs,
|  | FileTest | rhs
| ) |  |
| inline

## ◆ operator^() [3/14]

FormatSizeFlags Glib::operator^ | ( | FormatSizeFlags | lhs,
|  | FormatSizeFlags | rhs
| ) |  |
| inline

## ◆ operator^() [4/14]

IOCondition Glib::operator^ | ( | IOCondition | lhs,
|  | IOCondition | rhs
| ) |  |
| inline

## ◆ operator^() [5/14]

IOFlags Glib::operator^ | ( | IOFlags | lhs,
|  | IOFlags | rhs
| ) |  |
| inline

## ◆ operator^() [6/14]

KeyFile::Flags Glib::operator^ | ( | KeyFile::Flags | lhs,
|  | KeyFile::Flags | rhs
| ) |  |
| inline

## ◆ operator^() [7/14]

MainContextFlags Glib::operator^ | ( | MainContextFlags | lhs,
|  | MainContextFlags | rhs
| ) |  |
| inline

## ◆ operator^() [8/14]

Module::Flags Glib::operator^ | ( | Module::Flags | lhs,
|  | Module::Flags | rhs
| ) |  |
| inline

## ◆ operator^() [9/14]

OptionEntry::Flags Glib::operator^ | ( | OptionEntry::Flags | lhs,
|  | OptionEntry::Flags | rhs
| ) |  |
| inline

## ◆ operator^() [10/14]

ParamFlags Glib::operator^ | ( | ParamFlags | lhs,
|  | ParamFlags | rhs
| ) |  |
| inline

## ◆ operator^() [11/14]

ParseFlags Glib::Markup::operator^ | ( | ParseFlags | lhs,
|  | ParseFlags | rhs
| ) |  |
| inline

## ◆ operator^() [12/14]

Regex::CompileFlags Glib::operator^ | ( | Regex::CompileFlags | lhs,
|  | Regex::CompileFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator^() [13/14]

Regex::MatchFlags Glib::operator^ | ( | Regex::MatchFlags | lhs,
|  | Regex::MatchFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator^() [14/14]

SpawnFlags Glib::operator^ | ( | SpawnFlags | lhs,
|  | SpawnFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [1/14]

AsciiType & Glib::operator^= | ( | AsciiType & | lhs,
|  | AsciiType | rhs
| ) |  |
| inline

## ◆ operator^=() [2/14]

FileTest & Glib::operator^= | ( | FileTest & | lhs,
|  | FileTest | rhs
| ) |  |
| inline

## ◆ operator^=() [3/14]

FormatSizeFlags & Glib::operator^= | ( | FormatSizeFlags & | lhs,
|  | FormatSizeFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [4/14]

IOCondition & Glib::operator^= | ( | IOCondition & | lhs,
|  | IOCondition | rhs
| ) |  |
| inline

## ◆ operator^=() [5/14]

IOFlags & Glib::operator^= | ( | IOFlags & | lhs,
|  | IOFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [6/14]

KeyFile::Flags & Glib::operator^= | ( | KeyFile::Flags & | lhs,
|  | KeyFile::Flags | rhs
| ) |  |
| inline

## ◆ operator^=() [7/14]

MainContextFlags & Glib::operator^= | ( | MainContextFlags & | lhs,
|  | MainContextFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [8/14]

Module::Flags & Glib::operator^= | ( | Module::Flags & | lhs,
|  | Module::Flags | rhs
| ) |  |
| inline

## ◆ operator^=() [9/14]

OptionEntry::Flags & Glib::operator^= | ( | OptionEntry::Flags & | lhs,
|  | OptionEntry::Flags | rhs
| ) |  |
| inline

## ◆ operator^=() [10/14]

ParamFlags & Glib::operator^= | ( | ParamFlags & | lhs,
|  | ParamFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [11/14]

ParseFlags & Glib::Markup::operator^= | ( | ParseFlags & | lhs,
|  | ParseFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [12/14]

Regex::CompileFlags & Glib::operator^= | ( | Regex::CompileFlags & | lhs,
|  | Regex::CompileFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator^=() [13/14]

Regex::MatchFlags & Glib::operator^= | ( | Regex::MatchFlags & | lhs,
|  | Regex::MatchFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator^=() [14/14]

SpawnFlags & Glib::operator^= | ( | SpawnFlags & | lhs,
|  | SpawnFlags | rhs
| ) |  |
| inline

## ◆ operator|() [1/14]

AsciiType Glib::operator| | ( | AsciiType | lhs,
|  | AsciiType | rhs
| ) |  |
| inline

## ◆ operator|() [2/14]

FileTest Glib::operator| | ( | FileTest | lhs,
|  | FileTest | rhs
| ) |  |
| inline

## ◆ operator|() [3/14]

FormatSizeFlags Glib::operator| | ( | FormatSizeFlags | lhs,
|  | FormatSizeFlags | rhs
| ) |  |
| inline

## ◆ operator|() [4/14]

IOCondition Glib::operator| | ( | IOCondition | lhs,
|  | IOCondition | rhs
| ) |  |
| inline

## ◆ operator|() [5/14]

IOFlags Glib::operator| | ( | IOFlags | lhs,
|  | IOFlags | rhs
| ) |  |
| inline

## ◆ operator|() [6/14]

KeyFile::Flags Glib::operator| | ( | KeyFile::Flags | lhs,
|  | KeyFile::Flags | rhs
| ) |  |
| inline

## ◆ operator|() [7/14]

MainContextFlags Glib::operator| | ( | MainContextFlags | lhs,
|  | MainContextFlags | rhs
| ) |  |
| inline

## ◆ operator|() [8/14]

Module::Flags Glib::operator| | ( | Module::Flags | lhs,
|  | Module::Flags | rhs
| ) |  |
| inline

## ◆ operator|() [9/14]

OptionEntry::Flags Glib::operator| | ( | OptionEntry::Flags | lhs,
|  | OptionEntry::Flags | rhs
| ) |  |
| inline

## ◆ operator|() [10/14]

ParamFlags Glib::operator| | ( | ParamFlags | lhs,
|  | ParamFlags | rhs
| ) |  |
| inline

## ◆ operator|() [11/14]

ParseFlags Glib::Markup::operator| | ( | ParseFlags | lhs,
|  | ParseFlags | rhs
| ) |  |
| inline

## ◆ operator|() [12/14]

Regex::CompileFlags Glib::operator| | ( | Regex::CompileFlags | lhs,
|  | Regex::CompileFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator|() [13/14]

Regex::MatchFlags Glib::operator| | ( | Regex::MatchFlags | lhs,
|  | Regex::MatchFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator|() [14/14]

SpawnFlags Glib::operator| | ( | SpawnFlags | lhs,
|  | SpawnFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [1/14]

AsciiType & Glib::operator|= | ( | AsciiType & | lhs,
|  | AsciiType | rhs
| ) |  |
| inline

## ◆ operator|=() [2/14]

FileTest & Glib::operator|= | ( | FileTest & | lhs,
|  | FileTest | rhs
| ) |  |
| inline

## ◆ operator|=() [3/14]

FormatSizeFlags & Glib::operator|= | ( | FormatSizeFlags & | lhs,
|  | FormatSizeFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [4/14]

IOCondition & Glib::operator|= | ( | IOCondition & | lhs,
|  | IOCondition | rhs
| ) |  |
| inline

## ◆ operator|=() [5/14]

IOFlags & Glib::operator|= | ( | IOFlags & | lhs,
|  | IOFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [6/14]

KeyFile::Flags & Glib::operator|= | ( | KeyFile::Flags & | lhs,
|  | KeyFile::Flags | rhs
| ) |  |
| inline

## ◆ operator|=() [7/14]

MainContextFlags & Glib::operator|= | ( | MainContextFlags & | lhs,
|  | MainContextFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [8/14]

Module::Flags & Glib::operator|= | ( | Module::Flags & | lhs,
|  | Module::Flags | rhs
| ) |  |
| inline

## ◆ operator|=() [9/14]

OptionEntry::Flags & Glib::operator|= | ( | OptionEntry::Flags & | lhs,
|  | OptionEntry::Flags | rhs
| ) |  |
| inline

## ◆ operator|=() [10/14]

ParamFlags & Glib::operator|= | ( | ParamFlags & | lhs,
|  | ParamFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [11/14]

ParseFlags & Glib::Markup::operator|= | ( | ParseFlags & | lhs,
|  | ParseFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [12/14]

Regex::CompileFlags & Glib::operator|= | ( | Regex::CompileFlags & | lhs,
|  | Regex::CompileFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator|=() [13/14]

Regex::MatchFlags & Glib::operator|= | ( | Regex::MatchFlags & | lhs,
|  | Regex::MatchFlags | rhs
| ) |  |
| inlineprotected

## ◆ operator|=() [14/14]

SpawnFlags & Glib::operator|= | ( | SpawnFlags & | lhs,
|  | SpawnFlags | rhs
| ) |  |
| inline

## ◆ operator~() [1/14]

AsciiType Glib::operator~ | ( | AsciiType | flags | ) |
| inline

## ◆ operator~() [2/14]

FileTest Glib::operator~ | ( | FileTest | flags | ) |
| inline

## ◆ operator~() [3/14]

FormatSizeFlags Glib::operator~ | ( | FormatSizeFlags | flags | ) |
| inline

## ◆ operator~() [4/14]

IOCondition Glib::operator~ | ( | IOCondition | flags | ) |
| inline

## ◆ operator~() [5/14]

IOFlags Glib::operator~ | ( | IOFlags | flags | ) |
| inline

## ◆ operator~() [6/14]

KeyFile::Flags Glib::operator~ | ( | KeyFile::Flags | flags | ) |
| inline

## ◆ operator~() [7/14]

MainContextFlags Glib::operator~ | ( | MainContextFlags | flags | ) |
| inline

## ◆ operator~() [8/14]

Module::Flags Glib::operator~ | ( | Module::Flags | flags | ) |
| inline

## ◆ operator~() [9/14]

OptionEntry::Flags Glib::operator~ | ( | OptionEntry::Flags | flags | ) |
| inline

## ◆ operator~() [10/14]

ParamFlags Glib::operator~ | ( | ParamFlags | flags | ) |
| inline

## ◆ operator~() [11/14]

ParseFlags Glib::Markup::operator~ | ( | ParseFlags | flags | ) |
| inline

## ◆ operator~() [12/14]

Regex::CompileFlags Glib::operator~ | ( | Regex::CompileFlags | flags | ) |
| inlineprotected

## ◆ operator~() [13/14]

Regex::MatchFlags Glib::operator~ | ( | Regex::MatchFlags | flags | ) |
| inlineprotected

## ◆ operator~() [14/14]

SpawnFlags Glib::operator~ | ( | SpawnFlags | flags | ) |
| inline